Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Property_Constraint Class Reference

TAO_Property_Constraint represents a property whose value is determined by the offer being evaluated. More...

`#include <Constraint_Nodes.h>`

Inheritance diagram for TAO_Property_Constraint:

[legend]
Collaboration diagram for TAO_Property_Constraint:

[legend]
List of all members.

## Public Methods
| TAO_Property_Constraint (const char *name)
virtual | ~TAO_Property_Constraint (void)
virtual int | accept (TAO_Constraint_Visitor *visitor)
| Implementing the pattern of double dispatching, each subclass of TAO_Constraint will call back on an InterpreterVisitor the method to handle a node of its ExpressionType. More...
virtual TAO_Expression_Type | expr_type (void) const
| Return the expression type represented by this node. More...
const char * | name (void) const
| Returns the name of the property. More...
## Private Methods
| TAO_Property_Constraint (const TAO_Property_Constraint &)
TAO_Property_Constraint & | operator= (const TAO_Property_Constraint &)
## Private Attributes
char * | name_
| The name of the property. More...

## Detailed Description

TAO_Property_Constraint represents a property whose value is determined by the offer being evaluated.

## Constructor & Destructor Documentation

TAO_Property_Constraint::TAO_Property_Constraint | ( | const char * | name | ) |

TAO_Property_Constraint::~TAO_Property_Constraint | ( | void |  | ) | `[virtual]`

TAO_Property_Constraint::TAO_Property_Constraint | ( | const TAO_Property_Constraint & |  | ) | `[private]`

## Member Function Documentation

int TAO_Property_Constraint::accept | ( | TAO_Constraint_Visitor * | visitor | ) | `[virtual]`

| Implementing the pattern of double dispatching, each subclass of TAO_Constraint will call back on an InterpreterVisitor the method to handle a node of its ExpressionType. Reimplemented from TAO_Constraint.

virtual TAO_Expression_Type TAO_Property_Constraint::expr_type | ( | void |  | ) | const`[inline, virtual]`

| Return the expression type represented by this node. Reimplemented from TAO_Constraint.

const char * TAO_Property_Constraint::name | ( | void |  | ) | const

| Returns the name of the property.

TAO_Property_Constraint& TAO_Property_Constraint::operator= | ( | const TAO_Property_Constraint & |  | ) | `[private]`

## Member Data Documentation

char* TAO_Property_Constraint::name_`[private]`

| The name of the property.

The documentation for this class was generated from the following files:

- Constraint_Nodes.h
- Constraint_Nodes.cpp